<?php
/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  BSeller
 * @package   BSeller_Core
 *
 * @copyright Copyright (c) 2016 B2W Digital - BSeller Platform. (http://www.bseller.com.br)
 *
 * @author    BSeller Core Team <dev@e-smart.com.br>
 */

class BSeller_Core_Block_Adminhtml_Widget_Grid extends Mage_Adminhtml_Block_Widget_Grid
{

    use BSeller_Core_Trait_Data;


    /**
     * Add column to grid
     *
     * @param   string              $columnId
     * @param   array|Varien_Object $column
     * @return  Mage_Adminhtml_Block_Widget_Grid
     */
    public function addColumn($columnId, $column)
    {
        if (!isset($column['index'])) {
            $column['index'] = $columnId;
        }

        return parent::addColumn($columnId, $column);
    }


    /**
     * Add column to grid after another column
     *
     * @param   string $columnId
     * @param   array  $column
     * @param   string $after
     *
     * @return  Mage_Adminhtml_Block_Widget_Grid
     */
    public function addColumnAfter($columnId, $column, $after)
    {
        if (!isset($column['index'])) {
            $column['index'] = $columnId;
        }

        return parent::addColumnAfter($columnId, $column, $after);
    }

}
