<?php
/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  BSeller
 * @package   BSeller_Core
 *
 * @copyright Copyright (c) 2016 B2W Digital - BSeller Platform. (http://www.bseller.com.br)
 *
 * @author    BSeller Core Team <dev@e-smart.com.br>
 */

abstract class BSeller_Core_Model_Abstract extends Mage_Core_Model_Abstract
{

    use BSeller_Core_Trait_Data;


    /**
     * If model has created_at and updated_at then this fields are automatically filled when model is saved.
     *
     * @return Mage_Core_Model_Abstract
     */
    protected function _beforeSave()
    {
        if (!$this->getId()) {
            $this->isObjectNew(true);
        }

        $dataKey = ($this->isObjectNew() && !$this->hasData('created_at')) ? 'created_at' : 'updated_at';
        $this->setData($dataKey, now());

        return parent::_beforeSave();
    }

}
