<?php
/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  BSeller
 * @package   BSeller_Core
 *
 * @copyright Copyright (c) 2016 B2W Digital - BSeller Platform. (http://www.bseller.com.br)
 *
 * @author    BSeller Core Team <dev@e-smart.com.br>
 */

class BSeller_Core_Model_Resource_Setup extends Mage_Core_Model_Resource_Setup
{

    use BSeller_Core_Trait_Data,
        BSeller_Core_Trait_Resource_Setup;
    
    
    const INDEX_TYPE_FULLTEXT   = Varien_Db_Adapter_Interface::INDEX_TYPE_FULLTEXT;
    const INDEX_TYPE_INDEX      = Varien_Db_Adapter_Interface::INDEX_TYPE_INDEX;
    const INDEX_TYPE_PRIMARY    = Varien_Db_Adapter_Interface::INDEX_TYPE_PRIMARY;
    const INDEX_TYPE_UNIQUE     = Varien_Db_Adapter_Interface::INDEX_TYPE_UNIQUE;
    
    const FK_ACTION_CASCADE     = Varien_Db_Adapter_Interface::FK_ACTION_CASCADE;
    const FK_ACTION_NO_ACTION   = Varien_Db_Adapter_Interface::FK_ACTION_NO_ACTION;
    const FK_ACTION_RESTRICT    = Varien_Db_Adapter_Interface::FK_ACTION_RESTRICT;
    const FK_ACTION_SET_DEFAULT = Varien_Db_Adapter_Interface::FK_ACTION_SET_DEFAULT;
    const FK_ACTION_SET_NULL    = Varien_Db_Adapter_Interface::FK_ACTION_SET_NULL;
    
    /**
     * Types of columns
     */
    const TYPE_BOOLEAN          = Varien_Db_Ddl_Table::TYPE_BOOLEAN;
    const TYPE_SMALLINT         = Varien_Db_Ddl_Table::TYPE_SMALLINT;
    const TYPE_INTEGER          = Varien_Db_Ddl_Table::TYPE_INTEGER;
    const TYPE_BIGINT           = Varien_Db_Ddl_Table::TYPE_BIGINT;
    const TYPE_FLOAT            = Varien_Db_Ddl_Table::TYPE_FLOAT;
    const TYPE_NUMERIC          = Varien_Db_Ddl_Table::TYPE_NUMERIC;
    const TYPE_DECIMAL          = Varien_Db_Ddl_Table::TYPE_DECIMAL;
    const TYPE_DATE             = Varien_Db_Ddl_Table::TYPE_DATE;
    const TYPE_TIMESTAMP        = Varien_Db_Ddl_Table::TYPE_TIMESTAMP;
    const TYPE_DATETIME         = Varien_Db_Ddl_Table::TYPE_DATETIME;
    const TYPE_TEXT             = Varien_Db_Ddl_Table::TYPE_TEXT;
    const TYPE_BLOB             = Varien_Db_Ddl_Table::TYPE_BLOB;
    const TYPE_VARBINARY        = Varien_Db_Ddl_Table::TYPE_VARBINARY;
    
    // Deprecated column types, support is left only in MySQL adapter.
    const TYPE_TINYINT          = Varien_Db_Ddl_Table::TYPE_TINYINT;        // Internally converted to TYPE_SMALLINT
    const TYPE_CHAR             = Varien_Db_Ddl_Table::TYPE_CHAR;           // Internally converted to TYPE_TEXT
    const TYPE_VARCHAR          = Varien_Db_Ddl_Table::TYPE_VARCHAR;        // Internally converted to TYPE_TEXT
    const TYPE_LONGVARCHAR      = Varien_Db_Ddl_Table::TYPE_LONGVARBINARY;  // Internally converted to TYPE_TEXT
    const TYPE_CLOB             = Varien_Db_Ddl_Table::TYPE_CLOB;           // Internally converted to TYPE_TEXT
    const TYPE_DOUBLE           = Varien_Db_Ddl_Table::TYPE_DOUBLE;         // Internally converted to TYPE_FLOAT
    const TYPE_REAL             = Varien_Db_Ddl_Table::TYPE_REAL;           // Internally converted to TYPE_FLOAT
    const TYPE_TIME             = Varien_Db_Ddl_Table::TYPE_TIME;           // Internally converted to TYPE_TIMESTAMP
    const TYPE_BINARY           = Varien_Db_Ddl_Table::TYPE_BINARY;         // Internally converted to TYPE_BLOB
    const TYPE_LONGVARBINARY    = Varien_Db_Ddl_Table::TYPE_LONGVARBINARY;  // Internally converted to TYPE_BLOB
    
}
