<?php
/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  BSeller
 * @package   BSeller_Core
 *
 * @copyright Copyright (c) 2016 B2W Digital - BSeller Platform. (http://www.bseller.com.br)
 *
 * @author    BSeller Core Team <dev@e-smart.com.br>
 */

trait BSeller_Core_Trait_Controller
{

    /**
     * @param array $data
     * @param int   $code
     *
     * @throws Zend_Controller_Response_Exception
     */
    protected function sendJsonResponse($data = array(), $code = 200, Exception $exception = null)
    {
        $jsonData = Zend_Json_Encoder::encode($data);

        /** @var Mage_Core_Controller_Response_Http $response */
        $response = Mage::app()->getResponse();
        $response->setHeader('Content-type', 'application/json', true)
            ->setHttpResponseCode($code)
            ->setBody($jsonData);

        if ($exception) {
            $response->setException($exception);
        }

        $response->sendResponse();
//        @todo removed due magento marketplace validation
//        die();
    }

}
