<?php
/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  BSeller
 * @package   BSeller_Core
 *
 * @copyright Copyright (c) 2016 B2W Digital - BSeller Platform. (http://www.bseller.com.br)
 *
 * @author    BSeller Core Team <dev@e-smart.com.br>
 */
trait BSeller_Core_Trait_Exception
{

    /**
     * @param string $message
     *
     * @throws BSeller_Core_Exception
     */
    protected function throwException($message, $code = 0)
    {
        throw $this->exception($message, $code);
    }


    /**
     * @param string $message
     *
     * @throws BSeller_Core_Exception
     */
    protected function exception($message, $code = 0)
    {
        $module = $this->getModule();

        if (!class_exists($module . '_Exception')) {
            $module = 'BSeller_Core';
        }

        return Mage::exception($module, $message, $code);
    }


    /**
     * @return string
     */
    protected function getModule()
    {
        list($namespace, $module) = explode('_', get_class($this));
        return implode('_', array($namespace, $module));
    }

}
