<?php
/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  BSeller
 * @package   BSeller_SkyHub
 *
 * @copyright Copyright (c) 2019 B2W Digital - BSeller Platform. (http://www.bseller.com.br)
 *
 * @author    Rafael Falcão <rafael.falcao@e-smart.com.br>
 */
class BSeller_SkyHub_Block_Adminhtml_Catalog_Product_Attributes_Blacklist_Edit_Form
    extends BSeller_Core_Block_Adminhtml_Widget_Form
{
    /** @var string  */
    const ATTRIBUTE_CODE = 'blacklist';

    /**
     * Init form
     */
    public function __construct()
    {
        parent::__construct();
        $this->setId('block_form');
    }

    /**
     * @return $this
     */
    protected function _prepareForm()
    {
        /** @var Varien_Data_Form $form */
        $form = new Varien_Data_Form(array(
            'id'     => 'edit_form',
            'action' => $this->getData('action'),
            'method' => 'post'
        ));

        /** @var Varien_Data_Form_Element_Fieldset $fieldset */
        $fieldset = $form->addFieldset(
            'general',
            array(
                'legend' => $this->__('Product Attributes selected below will not be integrated into the specifications')
            )
        );

        /** @var BSeller_SkyHub_Model_System_Config_Source_Catalog_Product_Blacklist_Attributes $attributesSource */
        $attributesSource = Mage::getModel('bseller_skyhub/system_config_source_catalog_product_blacklist_attributes');

        $fieldset->addField(
            self::ATTRIBUTE_CODE,
            'multiselect',
            array(
                'name'     => self::ATTRIBUTE_CODE,
                'label'    => $this->__('Attributes Blacklist'),
                'required' => false,
                'values'   => $attributesSource->optionsKeyValue(),
                'value'    => $attributesSource->getCustomProductAttributeBlacklist()
            )
        );

        $form->setUseContainer(true);
        $this->setForm($form);

        return $this;
    }
}
