<?php
/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  BSeller
 * @package   BSeller_SkyHub
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br)
 *
 * @author    Tiago Sampaio <tiago.sampaio@e-smart.com.br>
 * @author    Julio Reis <julio.reis@e-smart.com.br>
 */

/**
 * Class BSeller_SkyHub_Block_Adminhtml_Notifications_Skyhub_Attributes
 */
class BSeller_SkyHub_Block_Adminhtml_Notifications_Skyhub_Attributes
    extends BSeller_SkyHub_Block_Adminhtml_Notifications_Abstract
{
    use BSeller_SkyHub_Trait_Attribute_Notification;

    protected function _construct()
    {
        $this->setTemplate('bseller/skyhub/notifications/skyhub/attributes.phtml');
        parent::_construct();
    }


    /**
     * @return bool
     */
    public function canShow()
    {
        return $this->hasPendingAttributesToMap();
    }


    /**
     * @param null|int $id
     *
     * @return string
     */
    public function getMappingManagerUrl($id = null)
    {
        if ($id) {
            return $this->getUrl(
                'adminhtml/bseller_skyhub_catalog_product_attributes_mapping/edit',
                array('id' => $id)
            );
        }

        return $this->getUrl('adminhtml/bseller_skyhub_catalog_product_attributes_mapping/index');
    }
}
