<?php
/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  BSeller
 * @package   BSeller_SkyHub
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br)
 *
 * @author    Tiago Sampaio <tiago.sampaio@e-smart.com.br>
 */

/**
 * Class BSeller_SkyHub_Block_Adminhtml_Notifications_Skyhub_Configuration
 */
class BSeller_SkyHub_Block_Adminhtml_Notifications_Skyhub_Configuration
    extends BSeller_SkyHub_Block_Adminhtml_Notifications_Abstract
{

    use BSeller_SkyHub_Trait_Config;


    protected function _construct()
    {
        $this->setTemplate('bseller/skyhub/notifications/skyhub/configuration.phtml');
        parent::_construct();
    }


    /**
     * @return bool
     */
    public function canShow()
    {
        $canShow = false;

        /**
         * A store is only appended to Store Iterator if it's totally ok.
         * That's the reason we check the number of stores available here. Simple isn't it?
         */
        if (!count($this->getStoreIterator()->getStores())) {
            $canShow = true;
        }

        return (bool) $canShow;
    }


    /**
     * @return string
     */
    public function getConfigurationUrl()
    {
        return $this->getUrl('adminhtml/system_config/edit/section/bseller_skyhub');
    }
}
