<?php
/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  BSeller
 * @package   BSeller_SkyHub
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br)
 *
 * @author    Tiago Sampaio <tiago.sampaio@e-smart.com.br>
 */

class BSeller_SkyHub_Block_Adminhtml_Sales_Order_Import_Log_Grid extends BSeller_SkyHub_Block_Adminhtml_Widget_Grid
{

    /**
     * @param BSeller_SkyHub_Model_Resource_Queue_Collection $collection
     *
     * @return BSeller_SkyHub_Model_Resource_Queue_Collection
     */
    protected function getPreparedCollection(BSeller_SkyHub_Model_Resource_Queue_Collection $collection)
    {
        $collection->addFieldToFilter('entity_type', BSeller_SkyHub_Model_Entity::TYPE_SALES_ORDER);
        $collection->addFieldToFilter('process_type', BSeller_SkyHub_Model_Queue::PROCESS_TYPE_IMPORT);
        
        return $collection;
    }


    /**
     * @return $this
     */
    protected function _prepareColumns()
    {
        $this->addColumn(
            'reference',
            array(
                'header'       => $this->__('SkyHub Order#'),
                'align'        => 'left',
                'width'        => '150px',
                'type'         => 'text',
            )
        );
    
        parent::_prepareColumns();
    
        $this->addColumn(
            'actions',
            array(
                'header'       => $this->__('Actions'),
                'align'        => 'left',
                'width'        => '150px',
                'renderer'     => 'bseller_skyhub/adminhtml_sales_order_import_log_grid_renderer',
                'type'         => 'action',
                'getter'       => 'getId',
                'actions'      => array(
                    array(
                        'url'     => array('base'=> '*/*/retry'),
                        'caption' => $this->__('Retry'),
                        'field'   => 'id'
                    ),
                    array(
                        'url'     => array('base'=> '*/*/delete'),
                        'caption' => $this->__('Delete'),
                        'field'   => 'id'
                    ),
                ),
            )
        );
        
        $this->removeColumn('entity_id');
        $this->sortColumnsByOrder();

        return $this;
    }
    
    
    /**
     * @return $this
     */
    protected function _prepareMassaction()
    {
        $this->setMassactionIdField('id');
        $this->getMassactionBlock()->setFormFieldName('queue_ids');
        
        $this->getMassactionBlock()->addItem('delete', array(
            'label'   => $this->__('Delete'),
            'url'     => $this->getUrl('*/*/massDelete'),
            'confirm' => $this->__('Are you sure?')
        ));
        
        $this->getMassactionBlock()->addItem('retry', array(
            'label'   => $this->__('Retry'),
            'url'     => $this->getUrl('*/*/massRetry'),
        ));
        
        return $this;
    }
    
}
