<?php
/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  BSeller
 * @package   BSeller_SkyHub
 *
 * @copyright Copyright (c) 2019 B2W Digital - BSeller Platform. (http://www.bseller.com.br)
 *
 * @author    Tiago Tescaro <tiago.tescaro@b2wdigital.com>
 */

class BSeller_SkyHub_Block_Adminhtml_Sales_Order_Shipment_Tracking_Carriers
    extends Mage_Adminhtml_Block_System_Config_Form_Field_Array_Abstract
{
    /** @var string */
    protected $_render;

    /**
     * Prepare to render
     *
     * @return void
     */
    protected function _prepareToRender()
    {
        $this->addColumn(
            'carriers',
            array(
                'label'    => Mage::helper('sales')->__('Carriers'),
                'class'    => 'input-text required-entry',
                'renderer' => $this->getRendererCarriers()
            )
        );

        $this->addColumn(
            'carriers_url',
            array(
                'label'    => 'URL',
                'class'    => 'input-text required-entry'
            )
        );
    }

    /**
     * Return renderer by type
     *
     * @return array
     */
    protected function getRendererCarriers()
    {
        if (!$this->_render) {
            $options = $this->getCarriers();
            
            $this->_render = $this->getLayout()
                ->createBlock('bseller_skyhub/adminhtml_sales_order_shipment_tracking_field_carriers')
                ->setIsRenderToJsTemplate(true)
                ->setOptions($options);

            $this->_render;
        }

        return $this->_render;
    }

    /**
     * @return array
     */
    public function getCarriers()
    {
        $carrierInstances = Mage::getSingleton('shipping/config')->getAllCarriers(0);
        $carriers[] = [
            'label' => Mage::helper('sales')->__('Custom Value'),
            'value' => 'custom'
        ];
        foreach ($carrierInstances as $code => $carrier) {
            if ($carrier->isTrackingAvailable()) {
                $carriers[] = [
                    'value' => $code,
                    'label' => $carrier->getConfigData('title')
                ];
            }
        }
        return $carriers;
    }

    /**
     * Prepare row and set option selected
     *
     * @param Varien_Object $row
     * @return void
     */
    protected function _prepareArrayRow(Varien_Object $row)
    {
        $row->setData(
            'option_extra_attr_' . $this->getRendererCarriers()
                ->calcOptionHash($row->getData('carriers')),
            'selected="selected"'
        );
    }
}
