<?php
/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  BSeller
 * @package   BSeller_SkyHub
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br)
 *
 * @author    Bruno Gemelli <bruno.gemelli@e-smart.com.br>
 */
class BSeller_SkyHub_Block_Adminhtml_Shipment_Plp_Grid
    extends BSeller_Core_Block_Adminhtml_Widget_Grid
{


    /**
     * @return Mage_Adminhtml_Block_Widget_Grid
     */
    protected function _prepareCollection()
    {
        /** @var BSeller_SkyHub_Model_Resource_Shipment_Plp_Collection $collection */
        $collection = Mage::getResourceModel('bseller_skyhub/shipment_plp_collection');
        $this->setCollection($collection);
        return parent::_prepareCollection();
    }


    /**
     * @return $this
     */
    protected function _prepareColumns()
    {
        parent::_prepareColumns();

        $this->addColumn(
            'skyhub_code',
            array(
                'header'           => $this->__('PLP Code'),
                'width'            => '250px',
                'align'            => 'left',
            )
        )
        ->addColumn(
            'created_at',
            array(
                'header'           => $this->__('Creation Date'),
                'type'             => 'date',
                'width'            => '250px',
                'align'            => 'left',
            )
        );

        return $this;
    }


    /**
     * @return $this
     */
    protected function _prepareMassaction()
    {
        $this->setMassactionIdField('id');

        /** @var Mage_Adminhtml_Block_Widget_Grid_Massaction $massactionBlock */
        $massactionBlock = $this->getMassactionBlock();

        $massactionBlock->setFormFieldName('plp_ids');

        $massactionBlock->addItem(
            'ungroup',
            array(
                'label'   => $this->__('Ungroup'),
                'url'     => $this->getUrl('*/*/massUngroup'),
                'confirm' => $this->__('Are you sure?'),
            )
        );

        return $this;
    }


    /**
     * @param BSeller_SkyHub_Model_Shipment_Plp $plp
     * @return string
     */
    public function getRowUrl($plp)
    {
        return $this->getUrl('*/*/view', array('id' => $plp->getId()));
    }
}
