<?php
/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  BSeller
 * @package   BSeller_SkyHub
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br)
 *
 * @author    Bruno Gemelli <bruno.gemelli@e-smart.com.br>
 */
class BSeller_SkyHub_Block_Adminhtml_Shipment_Plp_View
    extends BSeller_Core_Block_Adminhtml_Widget_Form_Container
{

    use BSeller_SkyHub_Trait_Shipment_Plp;

    protected $_blockGroup = 'bseller_skyhub';
    protected $_controller = 'adminhtml_shipment_plp';
    protected $_mode       = 'view';
    protected $_objectId   = 'id';

    public function __construct()
    {
        parent::__construct();
        $this->removeButton('save');
        $this->removeButton('reset');

        $this->updateButton('delete', 'label', Mage::helper('bseller_skyhub')->__('Delete'));

        $this->_addButton(
            'ungroup',
            array(
                'label'     => Mage::helper('bseller_skyhub')->__('Ungroup'),
                'class'     => 'delete',
                'onclick'   => 'deleteConfirm(\''
                    . Mage::helper('core')->jsQuoteEscape(
                        Mage::helper('adminhtml')->__('Are you sure?')
                    )
                    .'\', \''
                    . $this->_getUngroupUrl()
                    . '\')',
            )
        );
    }


    /**
     * @return string
     */
    public function getHeaderText()
    {
        return $this->__('Pre-post list (PLP) Detail');
    }


    /**
     * @return string
     */
    protected function _getUngroupUrl()
    {
        return $this->getUrl(
            '*/*/ungroup',
            array(
                'id' => $this->getCurrentPlp()->getId()
            )
        );
    }

    /**
     * @return string
     */
    public function getDeleteUrl()
    {
        $params = array(
            $this->_objectId                => $this->getRequest()->getParam($this->_objectId),
            'force_delete'                  => true,
            Mage_Core_Model_Url::FORM_KEY   => $this->getFormKey()
        );

        return $this->getUrl(
            '*/*/ungroup',
            $params
        );
    }
}
