<?php
/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  BSeller
 * @package   BSeller_SkyHub
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br)
 *
 * @author    Bruno Gemelli <bruno.gemelli@e-smart.com.br>
 */

class BSeller_SkyHub_Block_Adminhtml_Shipment_Plp_View_File_Json extends Mage_Adminhtml_Block_Template
{

    use BSeller_SkyHub_Trait_Service;
    use BSeller_SkyHub_Trait_Integrators;
    use BSeller_SkyHub_Trait_Shipment_Plp;


    /**
     * Get file content in SkyHub API before rendering it
     *
     * @return string
     */
    protected function _toHtml()
    {
        $this->getPlpJsonFile();
        return parent::_toHtml();
    }


    /**
     * @return BSeller_SkyHub_Model_Shipment_Plp
     */
    public function getPlp()
    {
        return $this->getCurrentPlp();
    }


    /**
     * Get PLP file and save it in class object
     */
    public function getPlpJsonFile()
    {
        /** @var BSeller_SkyHub_Model_Shipment_Plp $plp */
        $plp = $this->getCurrentPlp();

        /** @var string $file */
        $file = $this->shipmentPlpIntegrator()->viewFile($plp);
        $this->_setFileContent($file);
    }


    /**
     * @todo reuse format logic from trait (order json)
     *
     * @param string $jsonFile
     */
    protected function _setFileContent($jsonFile)
    {
        if (!$jsonFile) {
            $this->setFileContent($this->__('An error occurred while getting PLP file.'));
            return;
        }

        $formattedValue = json_decode($jsonFile, true);
        $formattedValue = json_encode($formattedValue, JSON_PRETTY_PRINT);
        $this->setFileContent($formattedValue);
    }
}