<?php
/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  BSeller
 * @package   BSeller_SkyHub
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br)
 *
 * @author    Tiago Sampaio <tiago.sampaio@e-smart.com.br>
 * @author    Bruno Gemelli <bruno.gemelli@e-smart.com.br>
 */

class BSeller_SkyHub_Helper_Data extends BSeller_Core_Helper_Data
{
    /**
     * @param string $method
     *
     * @return string
     */
    public function normalizeString($method)
    {
        $method = trim(strtolower($method));
        $method = str_replace(' ', '_', $method);
        $method = $this->removeAccents($method);
        
        return $method;
    }


    /**
     * @param string $date
     *
     * @return string
     */
    public function formatDateWithoutTimezone($date)
    {
        /** @var Mage_Core_Model_Date $coreDateModel */
        $coreDateModel  = Mage::getSingleton('core/date');
        $dateFormat     = 'd/m/Y';

        return $coreDateModel->gmtDate($dateFormat, $date);
    }

    /**
     * @param $string
     * @return bool
     */
    public function isJson($string)
    {
        json_decode($string);
        return (json_last_error() == JSON_ERROR_NONE);
    }

    /**
     * @param $value
     * @return mixed
     */
    public function onlyNumbers($value)
    {
        return preg_replace('/[^0-9]/', '', trim($value));
    }

    /**
     * @param $content
     * @param $start
     * @param $end
     * @param bool $trim
     * @return string
     */
    public function getStringBetween($content, $start, $end, $trim = false)
    {
        preg_match("/{$start}(.*?){$end}/", $content, $match);
        if (!$match || !isset($match[1])) {
            return '';
        }
        if ($trim) {
            return trim($match[1]);
        }
        return $match[1];
    }
}
