<?php
/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  BSeller
 * @package   BSeller_SkyHub
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br)
 *
 * @author    Tiago Sampaio <tiago.sampaio@e-smart.com.br>
 */

class BSeller_SkyHub_Model_Integrator_Sales_Order_Queue extends BSeller_SkyHub_Model_Integrator_Abstract
{
    use BSeller_SkyHub_Trait_Sales_Order;

    /**
     * @return array|bool
     */
    public function nextOrder()
    {
        /** @var \SkyHub\Api\EntityInterface\Sales\Order\Queue $interface */
        $interface = $this->api()->queue()->entityInterface();
        $result    = $interface->orders();

        if ($result->exception() || $result->invalid()) {
            return false;
        }

        /** @var \SkyHub\Api\Handler\Response\HandlerDefault $result */
        $data = $result->toArray();

        if (empty($data)) {
            return false;
        }

        return (array) $data;
    }


    /**
     * @param Mage_Sales_Model_Order $order
     *
     * @return bool
     */
    public function deleteByOrder(Mage_Sales_Model_Order $order)
    {
        $orderSkyhubCode = $this->getOrderIncrementId($order->getId());

        if (!$orderSkyhubCode) {
            return false;
        }

        return $this->delete($orderSkyhubCode);
    }


    /**
     * @param string $orderCode
     *
     * @return bool
     */
    public function delete($orderCode)
    {
        /** @var \SkyHub\Api\Handler\Response\HandlerInterface $isDeleted */
        $isDeleted = $this->api()->queue()->delete($orderCode);
        return (bool) $isDeleted->success();
    }
}
