<?php
/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  BSeller
 * @package   BSeller_SkyHub
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br)
 *
 * @author    Tiago Sampaio <tiago.sampaio@e-smart.com.br>
 */

abstract class BSeller_SkyHub_Model_Observer_Abstract
{
    
    use BSeller_SkyHub_Trait_Data,
        BSeller_SkyHub_Trait_Config,
        BSeller_SkyHub_Trait_Integrators,
        BSeller_SkyHub_Trait_Store_Iterator;


    /**
     * @param int|null $storeId
     *
     * @return bool
     */
    protected function canRun($storeId = null)
    {
        if (!$this->isModuleEnabled($storeId)) {
            return false;
        }

        return true;
    }
    
    
    /**
     * @return int
     *
     * @throws Mage_Core_Model_Store_Exception
     */
    protected function getStoreId()
    {
        return Mage::app()->getStore()->getId();
    }
    
    
    /**
     * @return Mage_Core_Model_Date
     */
    protected function getDateModel()
    {
        /** @var Mage_Core_Model_Date $model */
        $model = Mage::getSingleton('core/date');
        return $model;
    }
}
