<?php
/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  BSeller
 * @package   BSeller_SkyHub
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br)
 *
 * @author    Tiago Sampaio <tiago.sampaio@e-smart.com.br>
 */

class BSeller_SkyHub_Model_Observer_Adminhtml_Sales_Order
{
    
    use BSeller_SkyHub_Trait_Data;
    
    
    /**
     * @param Varien_Event_Observer $observer
     */
    public function addTotalToOrder(Varien_Event_Observer $observer)
    {
        /** @var Mage_Adminhtml_Block_Sales_Order_Totals $block */
        $block = $observer->getData('block');
        
        if (!($block instanceof Mage_Adminhtml_Block_Sales_Order_Totals)) {
            return;
        }
        
        $block->addTotal(new Varien_Object(array(
           'code'       => 'bseller_skyhub_interest',
           'strong'     => true,
           'value'      => $block->getSource()->getData('bseller_skyhub_interest'),
           'base_value' => $block->getSource()->getData('bseller_skyhub_interest'),
           'label'      => $this->__('BSeller Interest'),
           'area'       => 'footer'
        )));
    }
}
