<?php
/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  BSeller
 * @package   BSeller_SkyHub
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br)
 *
 * @author    Tiago Sampaio <tiago.sampaio@e-smart.com.br>
 */

class BSeller_SkyHub_Model_Observer_Catalog_Product_Attribute extends BSeller_SkyHub_Model_Observer_Abstract
{

    /**
     * @param Varien_Event_Observer $observer
     */
    public function integrateProductAttribute(Varien_Event_Observer $observer)
    {
        $this->processStoreIteration($this, 'processIntegrateProductAttribute', $observer);
    }
    

    /**
     * @param Varien_Event_Observer $observer
     */
    public function processIntegrateProductAttribute(Varien_Event_Observer $observer, Mage_Core_Model_Store $store)
    {
        if (!$this->canRun($store->getId())) {
            return;
        }

        /** @var Mage_Catalog_Model_Resource_Eav_Attribute $attribute */
        $attribute = $observer->getData('attribute');

        if (!$attribute instanceof Mage_Catalog_Model_Resource_Eav_Attribute) {
            return;
        }

        $this->catalogProductAttributeIntegrator()->createOrUpdate($attribute);
    }
}
