<?php
/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  BSeller
 * @package   BSeller_SkyHub
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br)
 *
 * @author    Tiago Sampaio <tiago.sampaio@e-smart.com.br>
 */
class BSeller_SkyHub_Model_Observer_Sales_Order_Creditmemo extends BSeller_SkyHub_Model_Observer_Sales_Abstract
{
    
    /**
     * @param Varien_Event_Observer $observer
     */
    public function cancelOrderAfterRefund(Varien_Event_Observer $observer)
    {
        /** @var Mage_Sales_Model_Order_Creditmemo $creditmemo */
        $creditmemo = $observer->getData('creditmemo');
        
        if (!$creditmemo || !$creditmemo->getId()) {
            return;
        }
        
        /** @var Mage_Core_Model_Store $store */
        $store   = $creditmemo->getStore();
        $orderId = $creditmemo->getOrderId();
        
        $this->getStoreIterator()->call($this->orderIntegrator(), 'cancel', array($orderId), $store);
    }
}
