<?php
/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  BSeller
 * @package   BSeller_SkyHub
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br)
 *
 * @author    Julio Reis <julio.reis@b2wdigital.com>
 */
class BSeller_SkyHub_Model_Sales_Order_Invoice_Total_Interest extends Mage_Sales_Model_Order_Invoice_Total_Abstract
{
    
    use BSeller_SkyHub_Trait_Data;

    /**
     * @param Mage_Sales_Model_Quote_Address $address
     *
     * @return $this|Mage_Sales_Model_Quote_Address_Total_Abstract
     */
    public function collect(Mage_Sales_Model_Order_Invoice $invoice)
    {
        parent::collect($invoice);

        $interest = $invoice->getOrder()->getBsellerSkyhubInterest();
        if (!$interest) {
            return $this;
        }

        $interest = Mage::app()->getStore()->convertPrice($interest);

        $invoice->setBaseGrandTotal($invoice->getBaseGrandTotal() + $interest);
        $invoice->setGrandTotal($invoice->getGrandTotal() + $interest);

        return $this;
    }
    
    
    /**
     * @return string
     */
    public function getLabel()
    {
        return $this->__('BSeller Interest');
    }
}
