<?php
/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  BSeller
 * @package   BSeller_SkyHub
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br)
 *
 * @author    Tiago Sampaio <tiago.sampaio@e-smart.com.br>
 */

class BSeller_SkyHub_Model_Transformer_Catalog_Category extends BSeller_SkyHub_Model_Transformer_Abstract
{

    use BSeller_SkyHub_Trait_Service,
        BSeller_SkyHub_Trait_Catalog_Category;


    /**
     * @param Mage_Catalog_Model_Category $category
     *
     * @return \SkyHub\Api\EntityInterface\Catalog\Category
     */
    public function convert(Mage_Catalog_Model_Category $category)
    {
        /** @var \SkyHub\Api\EntityInterface\Catalog\Category $interface */
        $interface = $this->api()->category()->entityInterface();
        $interface->setCode($category->getId())
            ->setName($this->extractProductCategoryPathString($category));

        return $interface;
    }

}
