<?php

/**
 * BIT Tools Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  BitTools
 * @package   BitTools_ModuleName
 *
 * @copyright Copyright (c) 2018 B2W Digital - BIT Tools.
 *
 * @author    Julio Reis <julio.reis@b2wdigital.com>
 */
class BSeller_SkyHub_Test_Model_Functional_Product_Export extends BSeller_SkyHub_Test_Product_AbstractProduct
{
    public function setUp()
    {
        parent::setUp();
        $this->createAndMapAllProductAttributes();
    }

    /**
     * @loadFixture config
     * @loadFixture product
     */
    public function testProductJsonStructure()
    {
        $productId = 21335;
        $product = Mage::getModel('catalog/product')->load($productId);
        $product->setIsSalable(1);

        /** @var BSeller_SkyHub_Model_Transformer_Catalog_Product $transformer */
        $transformer = Mage::getSingleton('bseller_skyhub/transformer_catalog_product');
        $interface = $transformer
            ->convert($product);

        //### asserting if there's specifications;
        $hasSpecifications = count($interface->getSpecifications()) > 0 ? true : false;
        $this->assertTrue($hasSpecifications);

        //## asserting prices
        $this->assertEquals('Teste Produto 1', $interface->getName());
        $this->assertEquals('teste-produto-1', $interface->getSku());
        $this->assertEquals('232', $interface->getPrice());
        $this->assertEquals('212', $interface->getPromotionalPrice());
        $this->assertEquals(100, $interface->getQty());
    }

    public function tearDown()
    {
//        $this->deleteEavAttribute('height');
//        $this->deleteEavAttribute('width');
//        $this->deleteEavAttribute('length');
//        $this->deleteEavAttribute('brand');
//        $this->deleteEavAttribute('ean');
//        $this->deleteEavAttribute('nbm');

        parent::tearDown(); // TODO: Change the autogenerated stub
    }
}