<?php

/**
 * BIT Tools Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  BitTools
 * @package   BitTools_ModuleName
 *
 * @copyright Copyright (c) 2018 B2W Digital - BIT Tools.
 *
 * @author    Julio Reis <julio.reis@b2wdigital.com>
 */
class BSeller_SkyHub_Test_Model_Functional_Product_Queue extends BSeller_SkyHub_Test_Product_AbstractProduct
{
    use BSeller_SkyHub_Trait_Entity;

    public function setUp()
    {
        $this->createAndMapAllProductAttributes();
        parent::setUp();
    }

    /**
     * @loadFixture config
     * @loadFixture product
     */
    public function testProductIsGoingToQueue()
    {
        $productId = 21335;

        $this->registerProductEntity($productId);

        $product = Mage::getModel('catalog/product')->load($productId);

        Mage::unregister('notification_pending_attributes_collection');

        $product
            ->setWebsiteIds([0, 1])
            ->setPrice(12346)
            ->save();

        $isEntityFlaggedForIntegration = Mage::getResourceModel('bseller_skyhub/entity')
            ->isEntityFlagged($productId, BSeller_SkyHub_Model_Entity::TYPE_CATALOG_PRODUCT);

        $this->assertEquals(1, $isEntityFlaggedForIntegration);
    }

    /**
     * @loadFixture config
     * @loadFixture product
     */
    public function testConfigurableProductIsGoingToQueue()
    {
        $sonProductId = 2;
        $parentProductId = 3;

        $this->registerProductEntity($parentProductId);

        $product = Mage::getModel('catalog/product')->load($sonProductId);

        $product
            ->setWebsiteIds([0, 1])
            ->setPrice(12346)
            ->save();

        $isEntityFlaggedForIntegration = Mage::getResourceModel('bseller_skyhub/entity')
            ->isEntityFlagged($parentProductId, BSeller_SkyHub_Model_Entity::TYPE_CATALOG_PRODUCT);

        $this->assertEquals(1, $isEntityFlaggedForIntegration);
    }

    public function tearDown()
    {
//        $this->deleteEavAttribute('height');
//        $this->deleteEavAttribute('width');
//        $this->deleteEavAttribute('length');
//        $this->deleteEavAttribute('brand');
//        $this->deleteEavAttribute('ean');
//        $this->deleteEavAttribute('nbm');

        $this->cleanEntityTable('bseller_skyhub/queue');
        Mage::getResourceModel('bseller_skyhub/entity')
        ->truncateEntityType(BSeller_SkyHub_Model_Entity::TYPE_CATALOG_PRODUCT);

        parent::tearDown(); // TODO: Change the autogenerated stub
    }
}