<?php

/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  BSeller
 * @package   BSeller_SkyHub
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br)
 *
 * @author    Julio Reis <julio.reis@e-smart.com.br>
 */
trait BSeller_SkyHub_Trait_Attribute_Notification
{
    
    /**
     * If there's still attributes to map out we cannot let the product to be integrated.
     *
     * @return bool
     */
    public function hasPendingAttributesToMap()
    {
        return (bool) ($this->getPendingAttributesCollection()->getSize() > 0);
    }

    /**
     * @return BSeller_SkyHub_Model_Resource_Catalog_Product_Attributes_Mapping_Collection
     */
    public function getPendingAttributesCollection()
    {
        $key = 'notification_pending_attributes_collection';

        if (Mage::registry($key)) {
            return Mage::registry($key);
        }

        /** @var BSeller_SkyHub_Model_Resource_Catalog_Product_Attributes_Mapping_Collection $collection */
        $collection = Mage::getResourceModel('bseller_skyhub/catalog_product_attributes_mapping_collection');
        $collection->setPendingAttributesFilter();

        Mage::register($key, $collection, true);

        return $collection;
    }

    /**
     * @param int $id
     *
     * @return string
     */
    public function getProductAttributeAutoUrl($id)
    {
        return $this->getUrl(
            'adminhtml/bseller_skyhub_catalog_product_attributes_mapping/createAutomatically',
            array(
                'id' => $id
            )
        );
    }

    /**
     * @param int $id
     *
     * @return string
     */
    public function getCustomerAttributeAutoUrl($id)
    {
        return $this->getUrl(
            'adminhtml/bseller_skyhub_customer_attributes_mapping/createAutomatically',
            array(
                'id' => $id
            )
        );
    }
}
