<?php
/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  BSeller
 * @package   BSeller_SkyHub
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br)
 *
 * @author    Tiago Sampaio <tiago.sampaio@e-smart.com.br>
 */

trait BSeller_SkyHub_Trait_Store_Iterator
{

    /**
     * Process the iteration for any class that needs to be iterated through the stores.
     * If false is returned you need to skip the original call.
     *
     * E.g.:
     *
     * public function execute(Mage_Cron_Model_Schedule $schedule)
     * {
     *     if ($this->processIteration($this, 'execute', $schedule)) {
     *         return;
     *     }
     *
     *     ...
     * }
     *
     * @param object $object
     * @param string $method
     * @param array|mixed $params
     *
     * @throws Mage_Core_Exception
     * @return bool
     */
    protected function processStoreIteration($object, $method, $params = null)
    {
        if (!is_array($params)) {
            $params = array($params);
        }
        
        if (!$this->getStoreIterator()->isIterating()) {
            $this->getStoreIterator()->iterate($object, $method, $params);
            return true;
        }
        
        return false;
    }
    
    
    /**
     * @return BSeller_SkyHub_Model_Store_Iterator
     */
    protected function getStoreIterator()
    {
        /** @var BSeller_SkyHub_Model_Store_Iterator $iterator */
        $iterator = Mage::getSingleton('bseller_skyhub/store_iterator');
        return $iterator;
    }
}
