<?php
/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  BSeller
 * @package   BSeller_SkyHub
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br)
 *
 * @author    Bruno Gemelli <bruno.gemelli@e-smart.com.br>
 */

class BSeller_SkyHub_Adminhtml_Bseller_Skyhub_Catalog_Product_EntityController extends BSeller_SkyHub_Controller_Admin_Action
{

    /**
     * Delete 'catalog_product' rows from BSeller SkyHub entity table
     */
    public function resetEntityAction()
    {
        $entityType = $this->getRequest()->getParam('entity_type');
        if (empty($entityType)) {
            $this->_getSession()
                 ->addError(Mage::helper('adminhtml')->__('Entity Type not specified'));
            return $this->redirect();
        }

        try {
            /** @var BSeller_SkyHub_Model_Resource_Entity $resourceEntity*/
            $resourceEntity = Mage::getResourceModel('bseller_skyhub/entity');
            $resourceEntity->truncateEntityType($entityType);
            $this->_getSession()->addSuccess(Mage::helper('adminhtml')->__('The product integration entity table has been cleared.'));
        } catch (Mage_Core_Exception $e) {
            $this->_getSession()->addError($e->getMessage());
        } catch (Exception $e) {
            $this->_getSession()->addException($e, Mage::helper('adminhtml')->__('An error occurred while clearing product integration entity table.'));
        }

        return $this->redirect();
    }

    /**
     * Redirect to last url accessed
     */
    public function redirect()
    {
        $this->getResponse()
            ->setRedirect(Mage::helper('core/http')->getHttpReferer());
    }
}
