<?php
/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  BSeller
 * @package   BSeller_SkyHub
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br)
 *
 * @author    Tiago Sampaio <tiago.sampaio@e-smart.com.br>
 */

/**
 * @var BSeller_SkyHub_Model_Resource_Setup $this
 * @var Magento_Db_Adapter_Pdo_Mysql        $conn
 */

$this->startSetup();

//**********************************************************************************************************************
// Install bseller_skyhub/product_attributes_mapping data.
//**********************************************************************************************************************
$this->installSkyHubRequiredAttributes(Mage_Catalog_Model_Product::ENTITY);

//**********************************************************************************************************************
// Install statuses data.
//**********************************************************************************************************************
$statuses = array(
    Mage_Sales_Model_Order::STATE_COMPLETE => array(
        'customer_delivered' => 'Delivered to Customer',
        'shipment_exception' => 'Shipment Exception',
    )
);

$this->createAssociatedSalesOrderStatuses($statuses);

//**********************************************************************************************************************

$this->endSetup();
