<?php
/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  ${MAGENTO_MODULE_NAMESPACE}
 * @package   ${MAGENTO_MODULE_NAMESPACE}_${MAGENTO_MODULE}
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br)
 *
 * @author    Tiago Sampaio <tiago.sampaio@e-smart.com.br>
 */

include __DIR__ . '/../api.php';

/** @var \SkyHub\Api\Handler\Request\Catalog\CategoryHandler $requestHandler */
$requestHandler = $api->category();

/** @var \SkyHub\Api\EntityInterface\Catalog\Category $entityInterface */
$entityInterface = $requestHandler->entityInterface();

$entityInterface->setCode('category001')
                ->setName('Category 001');

/**
 * CREATE a Category
 *
 * @var SkyHub\Api\Handler\Response\HandlerInterface $response
 */
$response = $entityInterface->create();

/**
 * UPDATE a Category
 *
 * @var SkyHub\Api\Handler\Response\HandlerInterface $response
 */
$response = $entityInterface->update();

/**
 * DELETE a Category
 *
 * @var SkyHub\Api\Handler\Response\HandlerInterface $response
 */
$response = $entityInterface->delete();

/**
 * LIST all Categories
 *
 * @var SkyHub\Api\Handler\Response\HandlerInterface $response
 */
$response = $entityInterface->categories();
