<?php
/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  ${MAGENTO_MODULE_NAMESPACE}
 * @package   ${MAGENTO_MODULE_NAMESPACE}_${MAGENTO_MODULE}
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br)
 *
 * @author    Tiago Sampaio <tiago.sampaio@e-smart.com.br>
 */

include __DIR__ . '/../api.php';

/** @var \SkyHub\Api\Handler\Request\Sales\OrderHandler $requestHandler */
$requestHandler = $api->order();

$orderId = 'xyz';

/**
 * RETRIEVE AN ORDER INFORMATION
 * @var SkyHub\Api\Handler\Response\HandlerInterface $response
 */
$response = $requestHandler->order($orderId);

/**
 * GET A LIST OF ORDERS (THIS IS DIFFERENT FROM THE QUEUE)
 * @var SkyHub\Api\Handler\Response\HandlerInterface $response
 */
$response = $requestHandler->orders();

/**
 * CANCEL AN ORDER
 * @var SkyHub\Api\Handler\Response\HandlerInterface $response
 */
$response = $requestHandler->cancel($orderId);

/**
 * CREATE AN SHIPPING EXCEPTION TO ORDER
 * @var SkyHub\Api\Handler\Response\HandlerInterface $response
 */
$response = $requestHandler->shipmentException($orderId, '2012-10-06T04:13:00-03:00', 'Problems in transportation.');

/**
 * CREATE AN SHIPPING EXCEPTION TO ORDER
 * @var SkyHub\Api\Handler\Response\HandlerInterface $response
 */
$items = [
    'sku' => '1001',
    'qty' => 1,
];

$response = $requestHandler->shipment(
    $orderId,
    $items,
    'BR1321830198302DR',
    'Correios',
    'SEDEX',
    'www.correios.com.br'
);

/**
 * SET AN ORDER AS DELIVERED
 * @var SkyHub\Api\Handler\Response\HandlerInterface $response
 */
$response = $requestHandler->delivery($orderId);

/**
 * INVOICE AN ORDER
 * @var SkyHub\Api\Handler\Response\HandlerInterface $response
 */
$nfKey = '99999999999999999999999999999999999999999999';
$response = $requestHandler->invoice($orderId, $nfKey);
