<?php
/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  ${MAGENTO_MODULE_NAMESPACE}
 * @package   ${MAGENTO_MODULE_NAMESPACE}_${MAGENTO_MODULE}
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br)
 *
 * @author    Tiago Sampaio <tiago.sampaio@e-smart.com.br>
 */

include __DIR__ . '/../api.php';

/** @var \SkyHub\Api\Handler\Request\Catalog\ProductHandler $requestHandler */
$requestHandler = $api->product();

$sku = 'PRODUCT001';

$attributes = [
    'sku'               => 'sku123',
    'name'              => 'Sample Product',
    'description'       => 'Sample Product Description',
    'status'            => 'enabled',
    'qty'               => 123,
    'price'             => 2.3458,
    'promotional_price' => 1.9876,
    'cost'              => 1.2090,
    'weight'            => 1.45,
    'height'            => 1.45,
    'width'             => 1.45,
    'length'            => 1.45,
    'brand'             => 'Nike',
    'ean'               => '01234567890',
    'nbm'               => '11234567890',
];

$images = [
    'http://sourceimage001.jpg',
    'http://sourceimage002.jpg',
    'http://sourceimage003.jpg'
];

$categories = [
    [
        'code' => 'foo',
        'name' => 'Foo > Foo',
    ],
    [
        'code' => 'bar',
        'name' => 'Bar > Bar',
    ]
];

$specifications = [
    [
        'key' => 'color',
        'value' => 'Black',
    ], [
        'key' => 'size',
        'value' => 'XL',
    ], [
        'key' => 'voltage',
        'value' => '220v',
    ]
];

$variations = [
    [
        'sku' => 'variation001',
        'qty' => 100,
        'ean' => '9876565',
        'images' => [
            'http://variation-sourceimage001.jpg',
            'http://variation-sourceimage002.jpg',
            'http://variation-sourceimage003.jpg',
        ],
        'specifications' => [
            [
                'key' => 'color',
                'value' => 'White'
            ],
            [
                'key' => 'size',
                'value' => 'S'
            ]
        ],
    ],
];

$variationAttributes = [
    'color',
    'size'
];

/**
 * CREATE A PRODUCT
 *
 * @var SkyHub\Api\Handler\Response\HandlerInterface $response
 */
$response = $requestHandler->create(
    $sku,
    $attributes,
    $images,
    $categories,
    $specifications,
    $variations,
    $variationAttributes
);

/**
 * UPDATE A PRODUCT
 */
$response = $requestHandler->update(
    $sku,
    $attributes,
    $images,
    $categories,
    $specifications,
    $variations,
    $variationAttributes
);

/**
 * DELETE A PRODUCT
 */
$response = $requestHandler->delete($sku);

/**
 * GET A SINGLE PRODUCT
 */
$response = $requestHandler->product($sku);

/**
 * GET A SINGLE PRODUCT
 */
$response = $requestHandler->products(['status' => 'foo']);

/**
 * GET A PRODUCT MARKETPLACE URLS
 */
$response = $requestHandler->urls();
