<?php
/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  Skyhub
 * @package   Skyhub
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br)
 *
 * @author    Bruno Gemelli <bruno.gemelli@e-smart.com.br>
 */

include __DIR__ . '/../api.php';
include __DIR__ . '/../apiPdf.php';

/** @var \SkyHub\Api\Handler\Request\Shipment\PlpHandler $requestHandler */
$requestHandler = $api->plp();


/**
 * GET A LIST OF PLP's
 * @var SkyHub\Api\Handler\Response\HandlerInterface $response
 */
$response = $requestHandler->plps();


/**
 * GET A LIST OF ORDERS READY TO BE GROUPED IN A PLP.
 * @var SkyHub\Api\Handler\Response\HandlerInterface $response
 */
$response = $requestHandler->ordersReadyToGroup();


/**
 * UNGROUP A PLP.
 * @var SkyHub\Api\Handler\Response\HandlerInterface $response
 */
$plpId = '012456789';
$response = $requestHandler->ungroup($plpId);


/**
 * GROUP ORDERS IN A PLP.
 */
$ordersId = [
    '123',
    '456'
];
$response = $requestHandler->group($ordersId);


/**
 * GET PLP JSON
 */
$plpId = '012456789';
$response = $requestHandler->viewFile($plpId);


/**
 * GET PLP PDF
 */

/** @var \SkyHub\Api\Handler\Request\Shipment\PlpHandler $requestPlpHandler */
$requestPlpHandler = $apiPdf->plp();

$plpId = '012456789';
$response = $requestPlpHandler->viewFile($plpId);
