<?php
/**
 * B2W Digital - Companhia Digital
 *
 * Do not edit this file if you want to update this SDK for future new versions.
 * For support please contact the e-mail bellow:
 *
 * sdk@e-smart.com.br
 *
 * @category  SkuHub
 * @package   SkuHub
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br).
 *
 * @author    Tiago Sampaio <tiago.sampaio@e-smart.com.br>
 */

namespace SkyHub\Api\DataTransformer;

abstract class DataTransformerAbstract implements DataTransformerInterface
{
    
    /** @var array */
    protected $outputData = [];
    
    
    /**
     * DataTransformerAbstract constructor.
     */
    public function __construct()
    {
    }
    
    
    /**
     * @return $this
     */
    protected function prepareOutput()
    {
        return $this;
    }
    
    
    /**
     * @param string|array $data
     *
     * @return $this
     */
    protected function setOutputData($data)
    {
        $this->outputData = $data;
        return $this;
    }
    
    
    /**
     * @return array|mixed
     */
    public function output()
    {
        $this->prepareOutput();
        return $this->outputData;
    }
}
