<?php
/**
 * B2W Digital - Companhia Digital
 *
 * Do not edit this file if you want to update this SDK for future new versions.
 * For support please contact the e-mail bellow:
 *
 * sdk@e-smart.com.br
 *
 * @category  SkuHub
 * @package   SkuHub
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br).
 *
 * @author    Tiago Sampaio <tiago.sampaio@e-smart.com.br>
 */

namespace SkyHub\Api\DataTransformer\Sales\Order;

use SkyHub\Api\DataTransformer\DataTransformerAbstract;

class Delivery extends DataTransformerAbstract
{
    /**
     * Delivery constructor.
     *
     * @param string|null $date
     * @param string|null $status
     */
    public function __construct($date = null, $status = null)
    {
        $outputData = [];

        if ($status) {
            $outputData['status'] = $status;
        }

        if ($date) {
            $outputData['delivered_date'] = $date;
        }

        $this->setOutputData($outputData);

        parent::__construct();
    }
}
