<?php
/**
 * B2W Digital - Companhia Digital
 *
 * Do not edit this file if you want to update this SDK for future new versions.
 * For support please contact the e-mail bellow:
 *
 * sdk@e-smart.com.br
 *
 * @category  SkuHub
 * @package   SkuHub
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br).
 *
 * @author    Tiago Sampaio <tiago.sampaio@e-smart.com.br>
 */

namespace SkyHub\Api\EntityInterface\Sales\Order;

use SkyHub\Api\EntityInterface\EntityAbstract;
use SkyHub\Api\Handler\Request\Sales\Order\QueueHandler;

class Queue extends EntityAbstract
{
    
    /**
     * @param $orderId
     *
     * @return $this
     */
    public function setOrderId($orderId)
    {
        $this->setData('order_id', $orderId);
        return $this;
    }
    
    
    /**
     * @return array|bool|mixed|string
     */
    public function getOrderId()
    {
        return $this->getData('order_id');
    }
    

    /**
     * @return \SkyHub\Api\Handler\Response\HandlerInterface
     */
    public function orders()
    {
        /** @var QueueHandler $handler */
        $handler = $this->requestHandler();
        return $handler->orders();
    }


    /**
     * @param string $orderId
     *
     * @return \SkyHub\Api\Handler\Response\HandlerInterface
     */
    public function delete($orderId = null)
    {
        if (empty($orderId)) {
            $orderId = $this->getOrderId();
        }
        
        /** @var QueueHandler $handler */
        $handler = $this->requestHandler();
        return $handler->delete($orderId);
    }
}
