<?php
/**
 * B2W Digital - Companhia Digital
 *
 * Do not edit this file if you want to update this SDK for future new versions.
 * For support please contact the e-mail bellow:
 *
 * sdk@e-smart.com.br
 *
 * @category  SkuHub
 * @package   SkuHub
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br).
 *
 * @author    Tiago Sampaio <tiago.sampaio@e-smart.com.br>
 */

namespace SkyHub\Api\Handler\Request\Sync;

use SkyHub\Api\EntityInterface\Questions;
use SkyHub\Api\Handler\Request\HandlerAbstract;

class QuestionsHandler extends HandlerAbstract
{

    /** @var string */
    protected $baseUrlPath = '/questions';


    /**
     * @return \SkyHub\Api\Handler\Response\HandlerInterface
     */
    public function questions()
    {
        /** @var \SkyHub\Api\Handler\Response\HandlerInterface $responseHandler */
        $responseHandler = $this->service()->get($this->baseUrlPath());
        return $responseHandler;
    }


    /**
     * @param string $questionId
     *
     * @return \SkyHub\Api\Handler\Response\HandlerInterface
     */
    public function showQuestion($questionId)
    {
        /** @var \SkyHub\Api\Handler\Response\HandlerInterface $responseHandler */
        $responseHandler = $this->service()->get($this->baseUrlPath("/{$questionId}"));
        return $responseHandler;
    }
    
    
    /**
     * @param $questionId
     *
     * @return \SkyHub\Api\Handler\Response\HandlerInterface
     */
    public function deleteQuestion($questionId)
    {
        /** @var \SkyHub\Api\Handler\Response\HandlerInterface $responseHandler */
        $responseHandler = $this->service()->delete($this->baseUrlPath("/$questionId"));
        return $responseHandler;
    }


    /**
     * @return \SkyHub\Api\Handler\Response\HandlerInterface
     */
    public function answerQuestion($questionId, $message)
    {
        /** @var \SkyHub\Api\Handler\Response\HandlerInterface $responseHandler */
        $responseHandler = $this->service()->post($this->baseUrlPath("/{$questionId}/answer"), [$message]);
        return $responseHandler;
    }
    
    
    /**
     * @return \SkyHub\Api\EntityInterface\EntityInterface|Questions
     */
    public function entityInterface()
    {
        return new Questions($this);
    }
}
