<?php
/**
 * B2W Digital - Companhia Digital
 *
 * Do not edit this file if you want to update this SDK for future new versions.
 * For support please contact the e-mail bellow:
 *
 * sdk@e-smart.com.br
 *
 * @category  SkuHub
 * @package   SkuHub
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br).
 *
 * @author    Tiago Sampaio <tiago.sampaio@e-smart.com.br>
 */

namespace SkyHub\Api\Handler\Request\Sales;

use SkyHub\Api\EntityInterface\Sales\Order\Freights;
use SkyHub\Api\Handler\Request\HandlerAbstract;

class FreightsHandler extends HandlerAbstract
{

    /** @var string */
    protected $baseUrlPath = '/freights';


    /**
     * @return \SkyHub\Api\Handler\Response\HandlerInterface
     */
    public function freights()
    {
        /** @var \SkyHub\Api\Handler\Response\HandlerInterface $responseHandler */
        $responseHandler = $this->service()->get($this->baseUrlPath());
        return $responseHandler;
    }
    
    
    /**
     * @return \SkyHub\Api\EntityInterface\EntityInterface|Freights
     */
    public function entityInterface()
    {
        return new Freights($this);
    }
}
