<?php
/**
 * B2W Digital - Companhia Digital
 *
 * Do not edit this file if you want to update this SDK for future new versions.
 * For support please contact the e-mail bellow:
 *
 * sdk@e-smart.com.br
 *
 * @category  SkuHub
 * @package   SkuHub
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br).
 *
 * @author    Tiago Sampaio <tiago.sampaio@e-smart.com.br>
 */

namespace SkyHub\Api\Handler\Response;

use GuzzleHttp\Psr7\Response;

interface HandlerInterfaceSuccess extends HandlerInterface
{

    /**
     * HandlerInterface constructor.
     *
     * @param Response $response
     */
    public function __construct(Response $response);
    
    
    /**
     * @return Response
     */
    public function httpResponse();


    /**
     * @return mixed
     */
    public function body();
    
    
    /**
     * @return int|null
     */
    public function bodySize();


    /**
     * @return mixed
     */
    public function headers();


    /**
     * @return mixed
     */
    public function statusCode();


    /**
     * @return mixed
     */
    public function protocolVersion();
    
    
    /**
     * @return string
     */
    public function reasonPhrase();
}
