<?php
/**
 * B2W Digital - Companhia Digital
 *
 * Do not edit this file if you want to update this SDK for future new versions.
 * For support please contact the e-mail bellow:
 *
 * sdk@e-smart.com.br
 *
 * @category  SkyHub
 * @package   SkyHub
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br).
 *
 * @author    Bruno Gemelli <bruno.gemelli@e-smart.com.br>
 */

namespace SkyHub\Api\Service;

use SkyHub\Api\Log\TypeInterface\ResponsePdf;

/**
 * Class ServicePdf
 *
 * @package SkyHub\Api\Service
 */
class ServicePdf extends ServiceDefault
{
    /**
     * @var array
     */
    private $headers = [
        'Accept'       => 'application/pdf',
        'Content-Type' => 'application/json'
    ];

    /**
     * @return $this
     */
    protected function prepareRequestHeaders()
    {
        $this->getOptionsBuilder()
            ->setStream(true)
            ->getHeadersBuilder()
            ->addHeaders($this->headers);

        return $this;
    }

    /**
     * @param array $bodyData
     * @param array $options
     *
     * @return $this
     */
    protected function prepareRequestBody($bodyData)
    {
        $this->getOptionsBuilder()->setBody($bodyData, OptionsBuilderInterface::BODY_TYPE_JSON);
        return $this;
    }


    /**
     * @return \SkyHub\Api\Log\TypeInterface\ResponsePdf
     */
    protected function getLoggerResponse()
    {
        return new ResponsePdf($this->getRequestId());
    }
}
