<?php

namespace SkyHubTest\Api\DataTransformer\Catalog\Category;

use PHPUnit\Framework\TestCase;
use SkyHub\Api\DataTransformer\Catalog\Category\Create;
use SkyHub\Api\DataTransformer\Catalog\Category\Update;

/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  SkuHubTest
 * @package   SkuHubTest
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br).
 *
 * @author    Tiago Sampaio <tiago.sampaio@e-smart.com.br>
 */
class CategoryTest extends TestCase
{
    
    /**
     * @test
     */
    public function checkDataTransformerCatalogCategoryCreate()
    {
        $code = 'rings';
        $name = 'Jewels > Rings';
    
        $transformer = new Create($code, $name);
        
        $expected = [
            'category' => [
                'code' => $code,
                'name' => $name
            ]
        ];
        
        $this->assertEquals($expected, $transformer->output());
    }
    
    /**
     * @test
     */
    public function checkDataTransformerCatalogCategoryUpdate()
    {
        $code = 'rings';
        $name = 'Jewels > Rings';
    
        $transformer = new Update($code, $name);
        
        $expected = [
            'category' => [
                'name' => $name
            ]
        ];
        
        $this->assertEquals($expected, $transformer->output());
    }
}
