<?php

namespace SkyHubTest\Api\DataTransformer\Catalog\Category;

use PHPUnit\Framework\TestCase;
use SkyHub\Api\DataTransformer\Catalog\Product\Attribute\Create;
use SkyHub\Api\DataTransformer\Catalog\Product\Attribute\Update;

/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  SkuHubTest
 * @package   SkuHubTest
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br).
 *
 * @author    Tiago Sampaio <tiago.sampaio@e-smart.com.br>
 */
class AttributeTest extends TestCase
{
    
    /**
     * @test
     */
    public function checkDataTransformerCatalogProductAttributeCreate()
    {
        $code    = 'rings';
        $label   = 'Jewels > Rings';
        $options = [
            'White',
            'Black',
            'Brown',
            'Yellow',
        ];
        
        $transformer = new Create($code, $label, $options);
        
        $expected = [
            'attribute' => [
                'name'    => $code,
                'label'   => $label,
                'options' => $options
            ]
        ];
        
        $this->assertEquals($expected, $transformer->output());
    }
    
    
    /**
     * @test
     */
    public function checkDataTransformerCatalogProductAttributeUpdate()
    {
        $code    = 'rings';
        $label   = 'Jewels > Rings';
        $options = [
            'White',
            'Black',
            'Brown',
            'Yellow',
        ];
        
        $transformer = new Update($code, $label, $options);
    
        $expected = [
            'attribute' => [
                'label'   => $label,
                'options' => $options
            ]
        ];
        
        $this->assertEquals($expected, $transformer->output());
    }
}
