<?php

namespace SkyHubTest\Api;

use PHPUnit\Framework\TestCase;
use SkyHub\Api;
use ReflectionClass;

/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  SkuHubTest
 * @package   SkuHubTest
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br).
 *
 * @author    Tiago Sampaio <tiago.sampaio@e-smart.com.br>
 */
class ServiceTest extends TestCase
{

    /**
     * @test
     */
    public function checkServiceHttpClientInstance()
    {
        $reflection = new ReflectionClass(Api\Service\ServiceDefault::class);

        /** @var \ReflectionMethod $method */
        $method = $reflection->getMethod('httpClient');
        $method->setAccessible(true);

        $httpClient = $method->invoke(new Api\Service\ServiceDefault('https://api.skyhub.com.br'));

        $this->assertInstanceOf(\GuzzleHttp\Client::class, $httpClient);
    }
}
