<?php

namespace SkyHubTest;

use PHPUnit\Framework\TestCase;
use SkyHub\Api;
use SkyHub\Api\Handler\Request\Catalog\CategoryHandler;
use SkyHub\Api\Handler\Request\Catalog\Product\AttributeHandler;
use SkyHub\Api\Handler\Request\Catalog\ProductHandler;
use SkyHub\ApiInterface;

/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  SkuHubTest
 * @package   SkuHubTest
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br).
 *
 * @author    Tiago Sampaio <tiago.sampaio@e-smart.com.br>
 */
class ApiTest extends TestCase
{
    
    /** @var Api */
    protected $api       = null;

    /** @var string */
    protected $email     = 'test@e-smart.com.br';
    
    /** @var string */
    protected $apiKey    = 'testApiKey';
    
    
    public function setUp()
    {
        $this->api = new Api($this->email, $this->apiKey);
    }
    
    
    /**
     * @test
     */
    public function getNewInstanceOfApiModel()
    {
        $this->assertInstanceOf(ApiInterface::class, $this->api);
    }
    
    
    /**
     * @test
     */
    public function getServiceInstance()
    {
        $this->assertInstanceOf(Api\Service\ServiceInterface::class, $this->api->service());
    }
    
    
    /**
     * @test
     */
    public function createNewInstanceOfProductAttributeHandler()
    {
        $this->assertInstanceOf(AttributeHandler::class, $this->api->productAttribute());
    }


    /**
     * @test
     */
    public function createNewInstanceOfProductHandler()
    {
        $this->assertInstanceOf(ProductHandler::class, $this->api->product());
    }


    /**
     * @test
     */
    public function createNewInstanceOfCategoryHandler()
    {
        $this->assertInstanceOf(CategoryHandler::class, $this->api->category());
    }
}
