<?php
/**
 * BSeller Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  ${MAGENTO_MODULE_NAMESPACE}
 * @package   ${MAGENTO_MODULE_NAMESPACE}_${MAGENTO_MODULE}
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br)
 *
 * @author    Tiago Sampaio <tiago.sampaio@e-smart.com.br>
 */
require dirname(dirname(__DIR__)) . '/abstract.php';

abstract class BSeller_SkyHub_Shell_Abstract extends Mage_Shell_Abstract
{
    
    /**
     * @return Mage_Cron_Model_Schedule
     */
    protected function getSchedule()
    {
        return Mage::getModel('cron/schedule');
    }
    
    
    /**
     * @return false|BSeller_SkyHub_Model_Cron_Queue_Abstract
     */
    protected function getCronModel()
    {
        $type  = $this->getArg('t');
        $model = Mage::getModel('bseller_skyhub/cron_queue_'.$type);
        
        return $model;
    }
    
    
    /**
     * @param string $message
     *
     * @return $this
     */
    protected function printLine($message)
    {
        print_r("{$message}\n");
        return $this;
    }
}
